Retrieve the beneficiary creation errors of a mass beneficiary
curl --request GET \
--url https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"code": "<string>",
"details": "<string>",
"message": "<string>",
"request_index": 123
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Mass Beneficiaries
Retrieve the beneficiary creation errors of a mass beneficiary
GET
/
mass-beneficiaries
/
{mass_beneficiary_id}
/
errors
Retrieve the beneficiary creation errors of a mass beneficiary
curl --request GET \
--url https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body[
{
"code": "<string>",
"details": "<string>",
"message": "<string>",
"request_index": 123
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Retrieve the beneficiaries that could not be created in a mass beneficiary instruction
Please note that if the mass beneficiary status is not
created, then the list returned can be empty or incomplete.Headers
The access token.
Path Parameters
The ID of the mass beneficiary.
Query Parameters
The identifier of a client.
The desired page number for pagination. By default is 1.
The number of items per page for pagination. By default is 50.